Bug 1780392 - Serverless Service / route models clash with other models
Summary: Serverless Service / route models clash with other models
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1784674
Blocks: 1780835
TreeView+ depends on / blocked
 
Reported: 2019-12-05 20:48 UTC by Samuel Padgett
Modified: 2020-05-04 11:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1780835 (view as bug list)
Environment:
Version: 4.3.0-0.nightly-2019-12-04-054458 Cluster ID: cf4140ef-20ce-4aea-a4cc-9d3410c49891 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:71.0) Gecko/20100101 Firefox/71.0
Last Closed: 2020-05-04 11:18:37 UTC
Target Upstream Version:
cvogt: needinfo-


Attachments (Terms of Use)
Serverless Service (300.33 KB, image/png)
2020-02-13 03:29 UTC, Yadan Pei
no flags Details
Serverless Revisions (167.96 KB, image/png)
2020-02-13 03:30 UTC, Yadan Pei
no flags Details
Serverless Routes (184.18 KB, image/png)
2020-02-13 03:31 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 3690 0 'None' closed Bug 1780392: Fix `hasModel` check for CRD models 2020-04-17 17:24:29 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:19:10 UTC

Description Samuel Padgett 2019-12-05 20:48:19 UTC
See https://jira.coreos.com/browse/ODC-2125

The badges, colors, and abbreviations are wrong for Knative Services and Routes in console due to a clash of names with k8s Services and OpenShift Routes.

Comment 4 Yadan Pei 2020-02-12 02:22:47 UTC
It's ok Sam, OpenShift Serverless Operator can't be installed successfully now and we have bug tracking.

Comment 5 Jaivardhan Kumar 2020-02-12 05:00:12 UTC
(In reply to Yadan Pei from comment #4)
> It's ok Sam, OpenShift Serverless Operator can't be installed successfully
> now and we have bug tracking.

on which cluster are you trying? is it 4.4 ci? 

as there was an issue with 4.4 CI with Serverless operator 1.3 on installation https://issues.redhat.com/browse/SRVKS-382.

However, I verified with Serverless operator 1.4 (latest one) has no issues with installation on 4.4 CI.

if you can provide with cluster details maybe i can take a look.

Comment 6 Jaivardhan Kumar 2020-02-12 10:52:01 UTC
update: with Serverless operator 1.4 on 4.4 CI cluster, it got installed unlike version 1.3 however `DependenciesInstalled is false` i.e on

oc get knativeserving.operator.knative.dev/knative-serving -n knative-serving --template='{{range .status.conditions}}{{printf "%s=%s\n" .type .status}}{{end}}' 
am getting.

```
DependenciesInstalled=False
DeploymentsAvailable=True
InstallSucceeded=True
Ready=False
```

from ui pov , user can create services/revisions but routes are unaccessible.

Comment 7 Yadan Pei 2020-02-13 03:28:27 UTC
Thank you so much @Jaivardhan Kumar

I tried latest OpenShift Serverless Operator 1.4.0 and it succceeded

$ oc get csv -n openshift-operators
NAME                                        DISPLAY                          VERSION              REPLACES   PHASE
serverless-operator.v1.4.0                  OpenShift Serverless Operator    1.4.0                           Succeeded
servicemeshoperator.v1.0.7                  Red Hat OpenShift Service Mesh   1.0.7                           Succeeded

$ oc get knativeserving.operator.knative.dev/knative-serving -n knative-serving --template='{{range .status.conditions}}{{printf "%s=%s\n" .type .status}}{{end}}'
DependenciesInstalled=False
DeploymentsAvailable=True
InstallSucceeded=True
Ready=False


Visit Serverless -> Services and create from default YAML, then check Serverless ->  Revisions, Serverless -> Routes

All pages have 'Tech Preview' badge, resources Icons are shown in different color and no errors mentioned in the JIRA


Verified on 4.4.0-0.nightly-2020-02-12-191550

Comment 8 Yadan Pei 2020-02-13 03:29:19 UTC
Created attachment 1662860 [details]
Serverless Service

Comment 9 Yadan Pei 2020-02-13 03:30:22 UTC
Created attachment 1662861 [details]
Serverless Revisions

Comment 10 Yadan Pei 2020-02-13 03:31:46 UTC
Created attachment 1662862 [details]
Serverless Routes

Comment 12 errata-xmlrpc 2020-05-04 11:18:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.